Skip to main content
Version: 26.01

Performance Monitoring - Read Network Trace

Endpoint​

/o/apm/network

Overview​

Returns the aggregate data, data over time and metrics of one network trace.

Authentication​

Pass api_key or auth_token as a query parameter, or send countly-token as a header. See Authentication.

Permissions​

Requires performance_monitoring Read permission.

Request Parameters​

ParameterTypeRequiredDescription
app_idStringYesApplication ID.
idStringYesTrace ID, as returned by Performance Monitoring - Read Overview.
api_keyStringConditionalRequired if auth_token is not provided.
auth_tokenStringConditionalRequired if api_key is not provided.

Examples​

Read a network trace​

/o/apm/network?
app_id=6991c75b024cb89cdc04efd2&
api_key=YOUR_API_KEY&
id=TRACE_ID

Response​

Success Response​

{
"aggregate": {
"example.com/demo/": {
"name": "example.com/demo/",
"id": "TRACE_ID",
"data": {
"response_payload_size": [12884, 12884]
}
}
},
"overTime": {},
"metrices": {
"response_payload_size": true
},
"trace": "example.com/demo/"
}

Response Fields​

FieldTypeDescription
traceStringName of the trace.
aggregateObjectAggregate data of the trace.
overTimeObjectData of the trace over time.
metricesObjectAll metrics of the trace.

Error Responses​

  • 400
{
"result": "Device trace id not provided"
}